﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Diagnostics;
using System.Windows;
using System.Windows.Controls;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : UserControl
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void ValueChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            Debug.WriteLine("XamComboEditor ValueChanged");
        }
    }

    public class Data
    {
        public List<string> ListOfSSNItemsProvider { get; set; }

        public ObservableCollection<Item> DataCollection { get; set; }


        public Data()
        {
            ListOfSSNItemsProvider = new List<string>() {"1111-1111-11111-111", "1112-1112-11112-112", "2111-1131-11151-811" };

            DataCollection = new ObservableCollection<Item>()
                             {
                                 new Item() { SocialSecurityNumber = "1111-1111-11111-111"},
                                 new Item() { SocialSecurityNumber = "2111-1131-11151-811"}
                             };
        }
    }

    public class Item
    {
        public string SocialSecurityNumber { get; set; }
    }
}
